### Class

# Clutter Keymap

#### Description

    abstract class Clutter.Keymap : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Instance methods

###### clutter_keymap_get_caps_lock_state

No description available.

###### clutter_keymap_get_direction

No description available.

###### clutter_keymap_get_num_lock_state

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Clutter.Keymap:caps-lock-state

No description available.

###### Clutter.Keymap:num-lock-state

No description available.

#### Signals

###### Clutter.Keymap::state-changed

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct ClutterKeymapClass {
      GObjectClass parent_class;
      ClutterTextDirection (* get_direction) (
        ClutterKeymap* keymap
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`get_direction: ClutterTextDirection (* get_direction) ( ClutterKeymap* keymap )`

  No description available.

#### Virtual methods

###### Clutter.KeymapClass.get_direction

No description available.